## ros-one-slam-karto 0.8.1-14jammy.20251023.0941

=== debian/changelog ===
ros-one-slam-karto (0.8.1-14jammy.20251023.0941) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 23 Oct 2025 09:41:03 +0000

ros-one-slam-karto (0.8.1-0jammy) jammy; urgency=high

  * set C++11 if std not specified
    This is mainly for building on Lunar
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 11 Sep 2018 00:00:00 -0000

ros-one-slam-karto (0.8.0-0jammy) jammy; urgency=high

  * update maintainer email
  * Merge pull request #19 <https://github.com/ros-perception/slam_karto/issues/19> from ros-perception/maintainer-add
    Adding myself as a maintainer for slam_karto
  * Adding myself as a maintainer for slam_karto
  * Merge pull request #15 <https://github.com/ros-perception/slam_karto/issues/15> from jasonimercer/lock-fix
    Fixed locks so they stay in scope until the end of the method.
  * Fixed locks so they stay in scope until the end of the method.
  * Merge pull request #14 <https://github.com/ros-perception/slam_karto/issues/14> from xpharry/indigo-devel
    modify for stage simulation
  * modify for stage simulation
  * Merge pull request #9 <https://github.com/ros-perception/slam_karto/issues/9> from hvpandya/patch-1
    Update karto_slam.launch
  * Update karto_slam.launch
    package name must be slam_karto
  * Contributors: Harsh Pandya, Jason Mercer, Luc Bettaieb, Michael Ferguson, xpharry

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 21 Aug 2018 00:00:00 -0000

ros-one-slam-karto (0.7.3-0jammy) jammy; urgency=high

  * fixed the upside-down detection
  * update maintainer email
  * Contributors: Michael Ferguson, mgerdzhev

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 04 Feb 2016 00:00:00 -0000

ros-one-slam-karto (0.7.2-0jammy) jammy; urgency=high

  * Added in parameter server settings for Mapper within slam_karto
  * Contributors: Luc Bettaieb, Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Sat, 18 Jul 2015 00:00:00 -0000

ros-one-slam-karto (0.7.1-0jammy) jammy; urgency=high

  * build updates for sba, fix install
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 17 Jun 2014 00:00:00 -0000

ros-one-slam-karto (0.7.0-0jammy) jammy; urgency=high

  * First release in a very, very long time.
  * Catkinized, updated to work with catkinized open_karto and sba
  * Contributors: Jon Binney, Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Sun, 15 Jun 2014 00:00:00 -0000

## ros-one-slam-karto 0.8.1-14jammy.20260221.2116

=== debian/changelog ===
ros-one-slam-karto (0.8.1-14jammy.20260221.2116) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mfergs7@gmail.com>  Sat, 21 Feb 2026 21:16:52 +0000

## ros-one-slam-karto 0.8.1-14noble.20251023.0954

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(slam_karto)

find_package(catkin REQUIRED
  COMPONENTS
    message_filters
    nav_msgs
    open_karto
    rosconsole
    roscpp
    sensor_msgs
    sparse_bundle_adjustment
    tf
    visualization_msgs
)
find_package(Eigen3 REQUIRED)

include_directories(${catkin_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS})
add_definitions(${EIGEN3_DEFINITIONS})

catkin_package()

add_executable(slam_karto src/slam_karto.cpp src/spa_solver.cpp)
target_link_libraries(slam_karto ${catkin_LIBRARIES})

install(TARGETS slam_karto
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-one-slam-karto (0.8.1-14noble.20251023.0954) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 23 Oct 2025 09:54:15 +0000

ros-one-slam-karto (0.8.1-0noble) noble; urgency=high

  * set C++11 if std not specified
    This is mainly for building on Lunar
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 11 Sep 2018 00:00:00 -0000

ros-one-slam-karto (0.8.0-0noble) noble; urgency=high

  * update maintainer email
  * Merge pull request #19 <https://github.com/ros-perception/slam_karto/issues/19> from ros-perception/maintainer-add
    Adding myself as a maintainer for slam_karto
  * Adding myself as a maintainer for slam_karto
  * Merge pull request #15 <https://github.com/ros-perception/slam_karto/issues/15> from jasonimercer/lock-fix
    Fixed locks so they stay in scope until the end of the method.
  * Fixed locks so they stay in scope until the end of the method.
  * Merge pull request #14 <https://github.com/ros-perception/slam_karto/issues/14> from xpharry/indigo-devel
    modify for stage simulation
  * modify for stage simulation
  * Merge pull request #9 <https://github.com/ros-perception/slam_karto/issues/9> from hvpandya/patch-1
    Update karto_slam.launch
  * Update karto_slam.launch
    package name must be slam_karto
  * Contributors: Harsh Pandya, Jason Mercer, Luc Bettaieb, Michael Ferguson, xpharry

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 21 Aug 2018 00:00:00 -0000

ros-one-slam-karto (0.7.3-0noble) noble; urgency=high

  * fixed the upside-down detection
  * update maintainer email
  * Contributors: Michael Ferguson, mgerdzhev

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 04 Feb 2016 00:00:00 -0000

ros-one-slam-karto (0.7.2-0noble) noble; urgency=high

  * Added in parameter server settings for Mapper within slam_karto
  * Contributors: Luc Bettaieb, Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Sat, 18 Jul 2015 00:00:00 -0000

ros-one-slam-karto (0.7.1-0noble) noble; urgency=high

  * build updates for sba, fix install
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 17 Jun 2014 00:00:00 -0000

ros-one-slam-karto (0.7.0-0noble) noble; urgency=high

  * First release in a very, very long time.
  * Catkinized, updated to work with catkinized open_karto and sba
  * Contributors: Jon Binney, Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Sun, 15 Jun 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-slam-karto
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mfergs7@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-one-catkin, ros-one-message-filters, ros-one-nav-msgs, ros-one-open-karto, ros-one-rosconsole, ros-one-roscpp, ros-one-sensor-msgs, ros-one-sparse-bundle-adjustment, ros-one-tf, ros-one-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-slam-karto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-one-message-filters, ros-one-nav-msgs, ros-one-open-karto, ros-one-rosconsole, ros-one-roscpp, ros-one-sensor-msgs, ros-one-sparse-bundle-adjustment, ros-one-tf, ros-one-visualization-msgs
Description: This package pulls in the Karto mapping library, and provides a ROS wrapper for using it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-slam-karto//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-slam-karto 0.8.1-14noble.20251208.0919

=== debian/changelog ===
ros-one-slam-karto (0.8.1-14noble.20251208.0919) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 08 Dec 2025 09:19:11 +0000

## ros-one-slam-karto 0.8.1-14noble.20260221.2201

=== debian/changelog ===
ros-one-slam-karto (0.8.1-14noble.20260221.2201) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mfergs7@gmail.com>  Sat, 21 Feb 2026 22:01:58 +0000
